package com.yanzhu.jh.project.domain.vo;

import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.*;

/**
 * 劳务实名制管理对象
 * 
 * @author JiangYuQi
 * @date 2024-01-22
 */
public class LabourDataVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据id */
    @NotBlank(message = "考勤数据ID不能为空")
    @Size(max = 64, message = "考勤数据ID最大长度64位")
    private String serverid;

    /** 工人Id */
    @NotBlank(message = "工人ID不能为空")
    @Size(max = 64, message = "工人ID最大长度64位")
    private String workerId;

    /** 分包商id */
    @NotNull(message = "分包商ID不能为空")
    private Long companyId;

    /** 进门还是出门E进，L出 */
    /**
     *  新接口改造&暂不需要传入参数
    @NotBlank(message = "进出门不能为空")
    @Pattern(regexp = "E|L", message = "进出门类型格式异常，E进|L出")
    private String attendanceType;*/

    /** 考勤时间yyyy-MM-dd HH:mm:ss */
    @NotBlank(message = "考勤时间不能为空")
    @Size(min = 18,max = 20, message = "考勤时间格式异常YYYY-MM-dd HH:mm:ss")
    private String attendanceTime;

    /** 身份证号 */
    @NotBlank(message = "身份证号不能为空")
    @Size(max = 32, message = "身份证号最大长度为32位")
    private String identification;

    /** 数据是否有效 */
    @NotNull(message = "数据是否有效不能为空")
    @Max(value = 1, message = "数据是否有效格式异常，0有效|1无效")
    private Long isDel;

    public String getServerid() {
        return serverid;
    }

    public void setServerid(String serverid) {
        this.serverid = serverid;
    }

    public String getWorkerId() {
        return workerId;
    }

    public void setWorkerId(String workerId) {
        this.workerId = workerId;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getAttendanceTime() {
        return attendanceTime;
    }

    public void setAttendanceTime(String attendanceTime) {
        this.attendanceTime = attendanceTime;
    }

    public String getIdentification() {
        return identification;
    }

    public void setIdentification(String identification) {
        this.identification = identification;
    }

    public Long getIsDel() {
        return isDel;
    }

    public void setIsDel(Long isDel) {
        this.isDel = isDel;
    }
}
